{
   "trees":
   [
      {
         "id" : "Serona.weapon",
         "is_instanced" : true,
         "tags" : ["weapon", "first_level_not_upgrade"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.weapon", "requirement_code" : "0" },
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 3000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.weapon", "requirement_code" : "1" },
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 6000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.weapon", "requirement_code" : "2" },
                  { "tree_id" : "blacksmith.weapon", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "Serona.armour",
         "is_instanced" : true,
         "tags" : ["armour", "first_level_not_upgrade"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.armour", "requirement_code" : "0" },
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 3000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.armour", "requirement_code" : "1" },
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 6000 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.armour", "requirement_code" : "2" },
                  { "tree_id" : "blacksmith.armour", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "Serona.Serona_Ranged_1",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_1", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_1", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_1", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_1", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "Serona.Serona_Ranged_2",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_2", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_2", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_2", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_2", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "Serona.Serona_Ranged_3",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_3", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_3", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_3", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_3", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "Serona.Serona_Ranged_4",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_4", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_4", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_4", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_4", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "Serona.Serona_Ranged_5",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_5", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_5", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_5", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_5", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
	        {
         "id" : "Serona.Serona_Ranged_6",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_6", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_6", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_6", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_6", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      },
      {
         "id" : "Serona.Serona_Ranged_7",
         "is_instanced" : true,
         "tags" : ["combat_skill"],
         "requirements" : 
         [
            {
               "code" : "0",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1000 }
               ],
               "prerequisite_requirements" :
               [
               ],
               "prerequisite_resolve_level" : 0
            },
            {
               "code" : "1",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_7", "requirement_code" : "0" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "a" }
               ],
               "prerequisite_resolve_level" : 1
            },
            {
               "code" : "2",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 750 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_7", "requirement_code" : "1" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "b" }
               ],
               "prerequisite_resolve_level" : 2
            },
            {
               "code" : "3",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 1250 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_7", "requirement_code" : "2" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "c" }
               ],
               "prerequisite_resolve_level" : 3
            },
            {
               "code" : "4",
               "currency_cost" : 
               [
                  { "type" : "gold", "amount" : 2500 }
               ],
               "prerequisite_requirements" :
               [
                  { "tree_id" : "Serona.Serona_Ranged_7", "requirement_code" : "3" },
                  { "tree_id" : "guild.skill_levels", "requirement_code" : "d" }
               ],
               "prerequisite_resolve_level" : 5
            }
         ]
      }
]
}
